using System;
using System.Diagnostics;
using System.Threading;

class Program
{
    static void Main()
    {
        for (int i = 0; i < 50; i++)
        {
            Console.WriteLine("Round " + i + " is running...");
            SpawnProcesses(1000);
        }

        Console.WriteLine("Main thread exits.");

    }

    static void StartProcess(int processNumber)
    {
        Process.Start("/bin/cat", "/dev/null");
    }

    static void SpawnProcesses(int threadCount)
    {
        // Create an array to hold the threads
        Thread[] threads = new Thread[threadCount];
        // Spawn 10 processes in separate threads
        for (int i = 1; i <= threadCount; i++)
        {
            int processNumber = i;
            threads[i - 1] = new Thread(() => StartProcess(processNumber));
            threads[i - 1].Start();
        }
        // Wait for all threads to complete
        foreach (Thread thread in threads)
        {
            thread.Join();
        }
    }
}